#pragma rtGlobals=1
#pragma IgorVersion=6.03

// Two example functions to change the style of traces on a graph
// tracelist: a string list of traces on the frontmost graph

Function SpXTS_MyRainbow(tracelist)
	string tracelist
	
	variable nt = ItemsInList(tracelist), len = 13
	variable ic, cmax = 65535, red, green, blue
	variable fc, tvr, tvg, tvb
	string theTrace

	for(ic=0;ic<nt;ic+=1)
		theTrace = StringFromList(ic,tracelist)
		fc = mod(ic,len)
		tvr = abs(1 - abs(1 - (mod(fc+4,8)/4)))*((fc<5)||(fc>7))
		tvg = abs(1 - abs(1 - (mod(fc,8)/4)))*(fc<9)
		tvb = abs(1 - abs(1 - (mod(fc-4,8)/4)))*(fc>3)
		red = cmax*tvr
		green = cmax*tvg
		blue = cmax*tvb
		ModifyGraph rgb($theTrace)=(red,green,blue)
	endfor
	
	return 0
	
end

Function SpXTS_VaryLineStyle(tracelist)
	string tracelist
	
	variable nt = ItemsInList(tracelist), ic, jt
	string theTrace

	for(ic=0;ic<nt;ic+=1)
		jt = mod(ic,17)+1
		theTrace = StringFromList(ic,tracelist)
		ModifyGraph mode($theTrace)=0,lstyle($theTrace)=jt
	endfor
	
	return 0
	
end